"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decorateDiagnostics = void 0;
const utils_1 = require("../utils");
function decorateDiagnostics(ls, logger) {
    decorateSyntacticDiagnostics(ls);
    decorateSemanticDiagnostics(ls);
    decorateSuggestionDiagnostics(ls);
}
exports.decorateDiagnostics = decorateDiagnostics;
function decorateSyntacticDiagnostics(ls) {
    const getSyntacticDiagnostics = ls.getSyntacticDiagnostics;
    ls.getSyntacticDiagnostics = (fileName) => {
        // Diagnostics inside Svelte files are done
        // by the svelte-language-server / Svelte for VS Code extension
        if (utils_1.isSvelteFilePath(fileName)) {
            return [];
        }
        return getSyntacticDiagnostics(fileName);
    };
}
function decorateSemanticDiagnostics(ls) {
    const getSemanticDiagnostics = ls.getSemanticDiagnostics;
    ls.getSemanticDiagnostics = (fileName) => {
        // Diagnostics inside Svelte files are done
        // by the svelte-language-server / Svelte for VS Code extension
        if (utils_1.isSvelteFilePath(fileName)) {
            return [];
        }
        return getSemanticDiagnostics(fileName);
    };
}
function decorateSuggestionDiagnostics(ls) {
    const getSuggestionDiagnostics = ls.getSuggestionDiagnostics;
    ls.getSuggestionDiagnostics = (fileName) => {
        // Diagnostics inside Svelte files are done
        // by the svelte-language-server / Svelte for VS Code extension
        if (utils_1.isSvelteFilePath(fileName)) {
            return [];
        }
        return getSuggestionDiagnostics(fileName);
    };
}
